PDA

View Full Version : Miva Mia and Script Compiler advice needed PLEASE!



gypsymoth
11-01-2005, 07:05 AM
I would like to do some personalization to my Miva files. I mainly work with Frontpage, but know and can work with html, asp, and css. I'm a little confused as to what I need to open and work with Miva Script. Do I need Script Compiler or Miva Mia?

Thanks for any advice!
Colleen

rispku
11-02-2005, 04:49 AM
I mainly work with Frontpage, but know and can work with html, asp, and css.
You'll first need to learn a bit about MIVA Script. MIVA has some in-depth documents covering the language on this page: MIVA Developer Resources (http://smallbusiness.miva.com/docs/api/)



I'm a little confused as to what I need to open and work with Miva Script.
Do I need Script Compiler or Miva Mia?

I don't believe the latest versions of Empresa support uncompiled MIVA Script anymore (I could be wrong!), so you'll need to use their compiler. Furthermore, compiling the code would likely result in the increased performance of your MIVA program.

You don't really need Mia, but it allows you to run your MIVA programs locally, without the hassle of uploading your program to your server before testing them.


I would like to do some personalization to my Miva files.

Assuming the files you're referring to are the MIVA Merchant scripts, you won't be able to edit them. They're compiled, and the only way you'd be able to view the source is if you were to decompile them somehow.

gypsymoth
11-04-2005, 01:10 PM
Thank you for your reply, rispku! I appreciate and need any advice you can give! I will definately read the resources on that link!

I am using Miva 5 to build a store. I downloaded the Miva Script compiler (the version that should apply to Miva 5) to my laptop. I have not used it yet. However, immediately upon registering it, it caused an error message in my store, and I could no longer get to my customer payment information. I think it has something to do with what version of Empresa is being run on the server. The error message said it was caused by an incorrect version of Compiler. They have to "undo" the license to get the error to go away. So now : What version of Miva Script Compiler do we need for a Miva 5 store, here on the Westhost server?

What I really want to do is add some key words, meta tags, and/or titles that will get the Miva store pages found by the search engines. :confused:

Andromeda
11-04-2005, 11:18 PM
Glad to know rispku got managed to give you a very informative reply!...

rcgauer
11-09-2005, 02:01 PM
Colleen,

The latest compiler version can be used to compiled backward with a command line arguement like:

mvc -C 4.24 yourfile.mv

Please note the -C uses a capital C, which is required, and that you must then include a space, your complete version number, then another space and file name...

But the current compiler can by flagged to compile backward to any of the compiled versions...

Let me know if I can help,

Thanks
rg